Index: Concepts.htm
===================================================================
--- Concepts.htm	(révision 10)
+++ Concepts.htm	(révision 11)
@@ -19,27 +19,27 @@
   <li> Estimation of energy losses from methane and urine and calculation of ME (assuming that nitrogen excretion in urine represents 50% of digestible nitrogen) </li>
   <li> Calculation of NE, using equations </li>
 </ul>
-<p> As research from INRA showed that live weight and feeding level influence the digestibility of energy and nutrients, separate values are given for the growing pig (from weaning up to 150 kg) and the adult pig (boar, gestating sow and lactating sow). </p>
+<p> As research from INRAE showed that live weight and feeding level influence the digestibility of energy and nutrients, separate values are given for the growing pig (from weaning up to 150 kg) and the adult pig (boar, gestating sow and lactating sow). </p>
 <p> Finally, the contributions of the ingredients are considered to be additive when included in a complete diet, assuming that vitamins and minerals supplements have a zero energy value. </p>
 <h3><a name="2120" id="2120">The energy bonus</a></h3>
 <p> The energy values provided in the table refer to mashed ingredients. However, technological processes such as intensive grinding, pelleting and extrusion, or the addition of substances such as enzymes, are known to increase energy digestibility. The increase depends on the ingredient and on the nature of the process. It is mostly noticeable in the growing pig and is supposed to be less important in the adult pig (although no literature data is yet available). EvaPig&reg; makes it possible to take into account the effect of technology by applying an &ldquo;energy bonus&rdquo; that can add up to 5% to the energy values. This bonus can also be used when the energy value of the reference ingredient seems underestimated. Likewise, a negative value can be used when the reference data seem overestimated. This correction is applied to the DE value and consequently modifies the ME and NE values, both for the growing and the adult pig. </p>
-<p> Similarly, it is possible to use an &ldquo;energy bonus&rdquo; for diets (positive bonus only) that have undergone a technological process. For instance, pelleting increases digestibility by 1 to 3 points for diets based on wheat, corn or soybean meal. In EvaPig&reg;, it is possible to add a different bonus to growing and adult pigs, as the effect of technology is supposed to be small or insignificant in the latter case. Note that one should not use at the same time an energy bonus for a diet and individual energy bonuses for its constitutive ingredients. Also, the energy values for ingredients such as rapeseeds or linseeds are already provided for processed materials since the raw, unprocessed ingredients (and particularly their lipid fraction) have a low digestibility: for those ingredients, adding a bonus to the reference data is not required. </p>
+<p> Similarly, it is possible to use an &ldquo;energy bonus&rdquo; for diets (positive bonus only) that have undergone a technological process. For instance, pelleting increases digestibility by 1 to 3 points for diets based on wheat, maize or soybean meal. In EvaPig&reg;, it is possible to add a different bonus to growing and adult pigs, as the effect of technology is supposed to be small or insignificant in the latter case. Note that one should not use at the same time an energy bonus for a diet and individual energy bonuses for its constitutive ingredients. Also, the energy values for ingredients such as rapeseeds or linseeds are already provided for processed materials since the raw, unprocessed ingredients (and particularly their lipid fraction) have a low digestibility: for those ingredients, adding a bonus to the reference data is not required. </p>
 <h2><a name="2200" id="2200">Protein</a></h2>
 <p> Protein value can be assessed through the digestibility of the protein itself or, more accurately, through the digestibility of its individual amino acids. There are several methods to determine these digestibility values: they can be measured at faecal or ileum level, and they can be corrected (standardised, real) or not (apparent) for the different types of endogenous losses. </p>
 <h3><a name="2210" id="2210">Ileal standardised digestibility of amino acids</a></h3>
-<p> EvaPig&reg; provides values of ileal standardised digestibility of amino acids. This system is currently the most elaborate for protein value, with data being available for all common ingredients. The digestible amino acid value is corrected (standardised) for basal endogenous losses of amino acids unrelated to the feed protein and supposed to be proportional to the dry matter intake (<a href="http://www.evapig.com/documents" target="_blank">Noblet et al., 2002; Stein et al., 2007</a>). The standardised ileal amino acid digestibility coefficients for ingredients provided with EvaPig&reg; originate from a series of <em>in vivo</em> experiments carried out in France by INRA, Adisseo, Arvalis (with Ajinomoto Animal Nutrition Europe) in the years 1980-2000. These data were collected and processed into table values, first published as a CD-Rom (<a href="http://www.evapig.com/documents" target="_blank">AmiPig, 2000</a>), and later in the INRA-AFZ tables (Sauvant et al., 2002; 2004). </p>
+<p> EvaPig&reg; provides values of ileal standardised digestibility of amino acids. This system is currently the most elaborate for protein value, with data being available for all common ingredients. The digestible amino acid value is corrected (standardised) for basal endogenous losses of amino acids unrelated to the feed protein and supposed to be proportional to the dry matter intake (<a href="http://www.evapig.com/documents" target="_blank">Noblet et al., 2002; Stein et al., 2007</a>). The standardised ileal amino acid digestibility coefficients for ingredients provided with EvaPig&reg; originate from a series of <em>in vivo</em> experiments carried out in France by INRAE, Adisseo, Arvalis (with Ajinomoto Animal Nutrition Europe) in the years 1980-2000. These data were collected and processed into table values, first published as a CD-Rom (<a href="http://www.evapig.com/documents" target="_blank">AmiPig, 2000</a>), and later in the INRA-AFZ tables (Sauvant et al., 2002; 2004). </p>
 <p> The ileal standardised digestibilities of amino acids provided for the reference ingredients in EvaPig&reg; are theoretically independent from the amount of feed protein. The standardised digestible amino acids of diets ingredients are assumed to be additive. Unlike energy digestibility, ileal digestibilities of amino acids are supposed to be identical for all stages of pig production and there is insufficient literature data to take into account the effects of technological processes. </p>
-<p> For ingredients without known ileal digestibilities of amino acids, missing values have been replaced by average digestibility coefficients obtained by INRA on a large number of diets. </p>
+<p> For ingredients without known ileal digestibilities of amino acids, missing values have been replaced by average digestibility coefficients obtained by INRAE on a large number of diets. </p>
 <p> The ideal protein is defined as one that provides the exact balance of amino acids needed for optimum performance. To make the best use of this concept, EvaPig&reg; also expresses digestible amino acids as a percentage of digestible lysine (<a href="http://www.evapig.com/documents" target="_blank">Dourmad et al., 2008; van Milgen et al., 2008</a>). The amino acid balance being a good indicator of the equilibrium between amino acid intake and requirements, digestible amino acid content in diets is also expressed relatively to the content in digestible lysine. </p>
 <h3><a name="2220" id="2220">Faecal protein digestibility</a></h3>
 <p> EvaPig&reg; provides and calculates the faecal digestibility of nitrogen for ingredients and diets. Though of little interest for assessing the protein value, it is useful for estimating the breakdown of nitrogen output between faecal and urinary pathways. </p>
 <h2><a name="2300">Phosphorus</a></h2>
-<p> EvaPig&reg; contains reference data for total and digestible phosphorus content, mostly derived from the INRA-AFZ Tables. </p>
+<p> EvaPig&reg; contains reference data for total and digestible phosphorus content, mostly derived from the INRAE-CIRAD-AFZ Tables. </p>
 <p> When EvaPig&reg; calculates the digestible apparent phosphorus content of a diet, it takes into account the effect of endogenous phytase (if still active in a mash form for instance) and added (exogenous) phytase. The effects of added and endogenous phytase are additive. Endogenous phytase is used in the calculations when the diet includes ingredients with notable phytase activity, such as rye, wheat and their by-products, and when the diet does not undergo a technological process such as pelleting. </p>
 <p> The effect of phytase on the release of phytic phosphorus is supposed to be curvilinear, with a marginal effect that decreases when the amount of exogenous phytase increases (<a href="http://www.evapig.com/documents" target="_blank">Jondreville and Dourmad, 2005</a>). The biological activity of the added phytase, calculated as the amount of digestible P released per 500 IU of phytase, is required in the calculations. Typical phytase activity ranges from 0.5 to 0.9 g per 500 IU of phytase. </p>
 <h2><a name="2400">Calculations for new ingredients and diets</a></h2>
 <p><strong> Note: the equations and coefficients used in EvaPig&reg; will be provided in full detail on the <a href="http://www.evapig.com/documents" target="_blank">EvaPig&reg; website</a>. </strong></p>
-<p> EvaPig&reg; uses equations to calculate the nutritional values of new ingredients and diets. These equations were obtained through INRA experiments or derived from literature data. </p>
+<p> EvaPig&reg; uses equations to calculate the nutritional values of new ingredients and diets. These equations were obtained through INRAE experiments or derived from literature data. </p>
 <p> The main benefit of using equations is that the predicted values are more precise than fixed values. However, this precision depends on many factors, not all of which are known, and users should always exercise caution when using predicted values. </p>
 <h3><a name="2410" id="2410">New ingredients derived from reference ingredients</a></h3>
 <p> When calculating the energy value or amino acid and phosphorus digestibility of an ingredient that derived from a reference ingredient, EvaPig&reg; uses for the new ingredient a combination of generic equations and specific equations. For instance, gross energy is predicted using a generic equation requiring protein, fat and ash with coefficients that are identical for all ingredients; on the other hand, energy digestibility is predicted from fibre content with coefficients specific to the ingredient (botanical species, type of process&hellip;). </p>