Index: Credits.htm
===================================================================
--- Credits.htm	(révision 10)
+++ Credits.htm	(révision 11)
@@ -9,27 +9,26 @@
 
 <body>
 <h1><a name="6000" id="6000">Credits</a></h1>
-<p> EvaPig&reg; was created, designed and developed by Jean Noblet (INRA, UMR1348 PEGASE), Alain Valancogne (INRA, UMR1348 PEGASE), Gilles Tran (AFZ) and Ajinomoto Animal Nutrition Europe</p>
+<p> EvaPig&reg; was created, designed and developed by Jean Noblet (INRAE, UMR1348 PEGASE), Alain Valancogne (INRAE, UMR1348 PEGASE), Gilles Tran (AFZ) and Ajinomoto Animal Nutrition Europe</p>
 <table cellpadding="0" cellspacing="8">
   <tr>
-    <td align="center"><img width="162" height="67" src="../images/LogoINRA.gif"></td>
-    <td><p align="left"><strong><a href="https://www6.rennes.inra.fr/pegase" target="_blank">INRA, UMR1348 PEGASE (Physiologie, Environnement et G&eacute;n&eacute;tique pour l&#039;Animal et les Syst&egrave;mes d&#039;&Eacute;levage)<br>
-    </a></strong>Le Clos, 35590 SAINT-GILLES, France</p></td>
+    <td align="center"><img width="180" height="49" src="../images/LogoINRAE.jpg"></td>
+    <td><p align="left"><strong><a href="https://www6.rennes.inrae.fr/pegase" target="_blank">INRAE, UMR1348 PEGASE (Physiologie, Environnement et G&eacute;n&eacute;tique pour l&#039;Animal et les Syst&egrave;mes d&#039;&Eacute;levage)<br>
+    </a></strong>16 Le Clos, 35590 SAINT-GILLES, France</p></td>
   </tr>
   <tr>
     <td align="center"><img width="58" height="77" src="../images/LogoAFZ.jpg"></td>
-    <td><p align="left"><strong><a href="http://www.zootechnie.fr" target="_blank">Association Fran&ccedil;aise de Zootechnie (AFZ)<br>
+    <td><p align="left"><strong><a href="https://www.zootechnie.fr" target="_blank">Association Fran&ccedil;aise de Zootechnie (AFZ)<br>
     </a></strong>16 rue Claude Bernard, 75231 PARIS Cedex 05, France</p></td>
   </tr>
   <tr>
     <td align="center"><img width="165" height="72" src="../images/logo_AANE_165x72.png"></td>
-    <td><p align="left"><strong><a href="http://www.ajinomoto-animalnutrition-emea.com" target="_blank">Ajinomoto Animal Nutrition Europe<br>
+    <td><p align="left"><strong><a href="https://www.ajinomoto-animalnutrition-emea.com" target="_blank">Ajinomoto Animal Nutrition Europe<br>
     </span></a></strong>32, rue Guersant, 75017 PARIS, France</p></td>
   </tr>
 </table>
-<p> The authors wish to thank the many people from INRA &ndash; particularly Jean-Yves Dourmad for his important contribution in the module for taking into account the biological effects of endogenous and exogenous phytase and Jaap Van Milgen, Serge Dubois and Henri Flageul for their advice, encouragement, feedback and contributions. </p>
-<p> The EvaPig&reg; partners are also grateful to the authors of the INRA-AFZ Tables, and particularly to the editors Daniel Sauvant, Jean-Marc Perez and Gilles Tran for allowing the use of the INRA-AFZ data. Thanks also to Bernard S&egrave;ve and Catherine Jondreville (INRA), who developed the concepts and data used in the INRA-AFZ Tables and applied in EvaPig&reg; for the amino acid and mineral values. The data for amino acid digestibility in the pig are taken from: AFZ, Ajinomoto Animal Nutrition Europe, Aventis Animal Nutrition, INRA, ITCF, 2000. <em>AmiPig. Standardised Ileal Digestibility of amino acids in feedstuffs for pigs</em>, AFZ, Paris. </p>
-<p> In addition to INRA and Ajinomoto Animal Nutrition Europe, the following organisations have supported the French Feed Database of the AFZ since 1989 and made possible the INRA-AFZ Tables and subsequent publications, including EvaPig&reg;: Arvalis Institut du V&eacute;g&eacute;tal, CCPA, Centralys, CETIOM, CIRAD, Cooperl-Hunaudaye, D&eacute;sialis, Glon-Sanders, IFIP, INZO&deg;, MG2mix, ONIDOL, Primex, Techna, UNIP, and USICA. </p>
-<p> Finally, we thank in advance the people who will help to make EvaPig&reg; better and more useful, notably by providing us with nutritional values for new ingredients or more accurate and up to date information. If your organisation is willing to share such data, please send inquiries and suggestions through <a href="http://www.evapig.com/" target="_blank">www.evapig.com</a>. </p>
+<p>The first edition of EvaPig&reg;, released in 2008, was made possible by the contributions, advice, encouragement, and feedback of many people from INRAE, particularly Jean-Yves Dourmad (biological effects of endogenous and exogenous phytase), Bernard S&egrave;ve (ileal standardised digestibility of amino acids), Catherine Jondreville (phosphorus digestibility), Jaap Van Milgen, Serge Dubois and Henri Flageul. The chemical data for that version were provided by the editors of the INRA-AFZ tables 2002-2004, Daniel Sauvant, Jean-Marc Perez, and Gilles Tran. </p>
+<p>The chemical data for EvaPig&reg; 2020 were provided by AFZ, the editor of the INRAE-CIRAD-AFZ Tables (<a href="http://www.feedtables.com">www.feedtables.com</a>, created in 2017). As in the previous version, the nutritional values were obtained using expertise from INRAE and equations derived from <em>in vivo</em> measurements published in the scientific literature. The data for amino acid digestibility were derived from: AFZ, Ajinomoto Eurolysine, Aventis Animal Nutrition, INRA, ITCF, 2000. <em>AmiPig. Standardised Ileal Digestibility of amino acids in feedstuffs for pigs</em>, AFZ, Paris.</p>
+<p>In addition to INRAE and Ajinomoto Animal Nutrition Europe, the following organisations have supported the French Feed Database of the AFZ since 1989: Arvalis Institut du V&eacute;g&eacute;tal, CCPA, Cargill, CIRAD, Cooperl, D&eacute;sialis, IFIP-Institut du Porc, MG2MIX, MixScience, Techna, Terres Univia, USICA, and Wisium. We thank in advance the people who will help to make EvaPig&reg; better and more useful, notably by providing us with nutritional values for new ingredients, or more accurate and up to date information. If your organisation is willing to share such data, please send inquiries and suggestions through <a href="http://www.evapig.com/">www.evapig.com</a>.</p>
 </body>
 </html>