Index: Diets.htm
===================================================================
--- Diets.htm	(révision 10)
+++ Diets.htm	(révision 11)
@@ -23,18 +23,13 @@
   <li> Click on, or scroll to, a diet to select it. </li>
 </ul>
 <p> The following buttons are available: </p>
+
 <ul>
-  <li><strong> View</strong> : opens the full list of nutrients for the selected diet. </li>
-  <ul>
-    <li><strong> Double</strong> -<strong>clicking </strong>on the selected diet achieves the same result </li>
-  </ul>
-  <li><strong> Create</strong> : opens the diet creation form. </li>
-  <li><strong> Graphs</strong> : opens the diet comparison graphs. </li>
-  <li><strong> Calculator</strong> : opens the form for calculating diet energy values from chemical composition. </li>
-  <li><strong> Close</strong> : closes the window. </li>
-  <ul>
-    <li> You can also use the <strong>Escape</strong> (Esc) key </li>
-  </ul>
+  <li><strong>View</strong>: opens the full list of nutrients for the selected diet. Double-clicking on the selected diet achieves the same result </li>
+  <li><strong>Create</strong>: opens the diet creation form.</li>
+  <li><strong>Graphs</strong>: opens the diet comparison graphs.</li>
+  <li><strong>Calculator</strong>: opens the form for calculating diet energy values from chemical composition.</li>
+  <li><strong>Close</strong>: closes the window. You can also use the <strong>Escape</strong> (Esc) key</li>
 </ul>
 <p> By default, the list is sorted by ascending date of creation (the oldest diets on top). Clicking on the header sorts the list by alphabetical order. </p>
 <h4><a name="3412" id="3412">Data tabs</a></h4>
@@ -46,9 +41,9 @@
 </ul>
 <p> The tabs are organised as follows: </p>
 <ul>
-  <li><strong> Dry matter</strong> : the dry matter value here is always expressed on the as-fed basis.<strong></strong></li>
-  <li><strong> Proximate analysis</strong> : it contains the main chemical nutrients: dry matter, ash, protein, crude fat, crude fibre, the Van Soest fibre analysis (NDF, ADF, ADL), starch and sugars. </li>
-  <li><strong> Energy utilization</strong> : ratios of energy values (including energy digestibility) for growing and adult pigs. </li>
+  <li><strong> Dry matter</strong>: the dry matter value here is always expressed on the as-fed basis.<strong></strong></li>
+  <li><strong> Proximate analysis</strong>: it contains the main chemical nutrients: dry matter, ash, protein, crude fat, crude fibre, the Van Soest fibre analysis (NDF, ADF, ADL), starch and sugars. </li>
+  <li><strong> Energy utilization</strong>: ratios of energy values (including energy digestibility) for growing and adult pigs. </li>
   <ul>
     <li> The letters <em>g</em> and <em>a</em> indicate (in DEg for instance) that the value is for <em>growing</em> and <em>adult</em> pigs respectively. </li>
     <li> dE is the digestibility of energy </li>
@@ -57,7 +52,8 @@
   <li><strong> Energy values</strong> for growing (DEg, MEg, NEg) and adult (DEa, MEa, NEa) pigs. </li>
   <li><strong> Total amino acids</strong> expressed as % or g/kg of diet weight<strong></strong></li>
   <li><strong> Digestible amino acids</strong> : ileal standardised digestible amino acids </li>
-  <li><strong> Minerals</strong> : total calcium, total phosphorus and digestible phosphorus values </li>
+  <li><strong> Minerals</strong>: total calcium, phosphorus, sodium, potassium, chlorine, and digestible phosphorus values </li>
+  <li><strong>Electrolyte balance</strong></li>
 </ul>
 <h3><a name="3420" id="3420">Diet view</a></h3>
 <p> The diet view is called up by selecting a diet in the <strong>list of diets</strong> and then by double-clicking on the selection or clicking on the <strong>View</strong> button. </p>
@@ -67,7 +63,8 @@
 <p> In addition to the values shown for the ingredients themselves, it also displays the following information: </p>
 <ul>
   <li><strong> Physical form</strong> of the diet: pellet or mash </li>
-  <li><strong> Calcium / digestible phosphorus</strong> ratio </li>
+  <li><strong>Macro minerals </strong>with<strong> electrolyte balance</strong></li>
+<li><strong> Calcium / digestible phosphorus</strong> ratio </li>
   <li><strong> Digestible phosphorus / net energy</strong> ratio </li>
   <li><strong> Adult / growing pig energy ratios</strong> for DE, ME and NE </li>
   <li><strong> Digestible lysine / net energy</strong> ratio </li>
@@ -75,26 +72,22 @@
 </ul>
 <p> The following buttons are available: </p>
 <ul>
-  <li><strong> Modify</strong> : opens the diet modification form. </li>
-  <li><strong> Delete</strong> : deletes the current diet (after asking for confirmation from the user). </li>
-  <li><strong> Graphs</strong> : opens the diet graphs for the current diet. </li>
-  <li><strong> Print</strong> : sends the data to the printer. </li>
-  <li><strong> PDF</strong> : exports the data to a PDF file. </li>
-  <li><strong> CSV</strong> : exports the data to a comma-separated file. </li>
-  <li><strong> Close</strong> : closes the window </li>
-  <ul>
-    <li> You can also use the <strong>Escape</strong> (Esc) key. </li>
-  </ul>
+  <li><strong>Modify</strong>: opens the diet modification form.</li>
+  <li><strong>Delete</strong>: deletes the current diet (after asking for confirmation from the user).</li>
+  <li><strong>Graphs</strong>: opens the diet graphs for the current diet.</li>
+  <li><strong>Print</strong>: sends the data to the printer or to a PDF file.</li>
+  <li><strong>Excel</strong>: exports the data to an Excel file.</li>
+  <li><strong>Close</strong>: closes the window. You can also use the <strong>Escape</strong> (Esc) key.</li>
 </ul>
 <h3><a name="3430" id="3430">Diet creation</a></h3>
 <p> To create a new diet, click on the <strong>Create </strong>button in the <strong>list of diets</strong>. The following form appears: </p>
 <p class="L&eacute;gende"> Figure 16. Diet creation: choosing the name and the template </p>
 <img width="604" height="184" src="../images/Figure16.jpg">
 <ul>
-  <li> Name the diet </li>
-  <li> If you want to use the ingredient composition of an existing diet as a template, click on the corresponding checkbox and pick a diet in the drop-down list. </li>
-  <li> Add a comment (optional) </li>
-  <li> Click on the <strong>OK </strong>button to validate or click on <strong>Cancel</strong> to stop the creation. </li>
+  <li>Name the diet</li>
+  <li>If you want to use the ingredient composition of an existing diet as a template, click on the corresponding checkbox and pick a diet in the drop-down list.</li>
+  <li>Add a comment (optional)</li>
+  <li>Click on the <strong>OK </strong>button to validate or click on <strong>Cancel</strong> to stop the creation.</li>
 </ul>
 <p> Clicking on the <strong>OK</strong> button opens the <strong>Diet modification </strong>form. </p>
 <h3><a name="3440" id="3440">Diet modification</a></h3>
@@ -212,15 +205,10 @@
   <tr>
     <td width="24" align="center">&nbsp;</td>
     <td width="64" align="center"><img width="30" height="30" src="../images/Button9.jpg"></td>
-    <td>Sends the chart to the printer</td>
+    <td>Sends the chart to the printer or to a PDF file</td>
   </tr>
   <tr>
     <td width="24" align="center">&nbsp;</td>
-    <td width="64" align="center"><img width="30" height="30" src="../images/Button10.jpg"></td>
-    <td>Exports the chart to a PDF file</td>
-  </tr>
-  <tr>
-    <td width="24" align="center">&nbsp;</td>
     <td width="64" height="30" align="center"><strong>Close</strong></td>
     <td>Closes the graphs comparison screen</td>
   </tr>
@@ -308,9 +296,8 @@
 <img width="603" height="459" src="../images/Figure25.jpg">
 <p> The following buttons are available: </p>
 <ul>
-  <li><strong> Print</strong> : sends the current ingredient data to the printer. </li>
-  <li><strong> PDF</strong> : exports the data to a PDF file. </li>
-  <li><strong> CSV</strong> : exports the current data to a comma-separated value file. </li>
+  <li><strong> Print</strong>: sends the current ingredient data to the printer or to a PDF file. </li>
+  <li><strong> Excel</strong>: exports the data to an Excel file.</li>
   <li><strong> Close</strong> : closes the window and returns to the entry form of the calculator. </li>
   <ul>
     <li> You can also use the <strong>Escape</strong> (Esc) key. </li>