Index: Ingredients.htm
===================================================================
--- Ingredients.htm	(révision 10)
+++ Ingredients.htm	(révision 11)
@@ -71,7 +71,7 @@
   <li><strong> Total amino acids</strong> expressed as percentage of the crude protein </li>
   <li><strong> Digestible amino acids</strong> : ileal standardised digestible amino acids </li>
   <li><strong> Digestibility of amino acids</strong> : ileal standardised digestibility of amino acids </li>
-  <li><strong> Minerals</strong> : total calcium (Ca) and phosphorus (P) values </li>
+  <li><strong> Minerals</strong> : total calcium (Ca), phosphorus (P), sodium (Na), potassium (K), and electrolyte balance (EB, mEq/kg) values </li>
   <li><strong> Digestibility of phosphoru</strong> s: digestibility of phosphorus for the mash and pellet form of the ingredient. In the reference table, the digestibility values of mash and pellet are different for soft wheat grain, the by-products of wheat milling and rye. </li>
 </ul>
 <p> To use the tabs: </p>
@@ -92,20 +92,17 @@
 <h4><a name="3321" id="3321">Navigation</a></h4>
 <p> The following buttons are available: </p>
 <ul>
-  <li><strong> Help</strong> : opens this help file. </li>
-  <li><strong> Modify</strong> : opens the ingredient modification screen (<strong>only for user-defined ingredients</strong>) </li>
-  <li><strong> Delete</strong> : deletes the current ingredient (<strong>only for user-defined ingredients</strong>). </li>
-  <li><strong> Print</strong> : sends the current ingredient data to the printer. </li>
-  <li><strong> PDF</strong> : exports the data to a PDF file. </li>
-  <li><strong> CSV</strong> : exports the current data to a comma-separated value file. </li>
+  <li><strong> Modify</strong>: opens the ingredient modification screen (<strong>only for user-defined ingredients</strong>) </li>
+  <li><strong> Delete</strong>: deletes the current ingredient (<strong>only for user-defined ingredients</strong>). </li>
+  <li><strong> Print</strong>: sends the current ingredient data to the printer or to a PDF file. </li>
+  <li><strong> Excel</strong>: exports the data to an Excel file. </li>
   <li><strong> Close</strong> : closes the window </li>
   <ul>
     <li> You can also use the <strong>Escape</strong> (Esc) key. </li>
   </ul>
 </ul>
 <h4><a name="3322" id="3322">Reference ingredients</a></h4>
-<p> When the ingredient is a reference ingredient, the <strong>Origin</strong> field contains &ldquo;Reference tables&rdquo; and the <strong>Comments</strong> field contains the name of the original reference (usually &ldquo;INRA-AFZ&rdquo;). </p>
-<p><strong> Note that reference ingredients cannot be modified or removed from EvaPig&reg;.</strong> However, you can create a copy of a reference ingredient and change its values: click on the <strong>Create</strong> button, use the reference ingredient as a basis for the new ingredient and then modify the copy. </p>
+<p> When the ingredient is a reference ingredient, the <strong>Origin</strong> field contains &ldquo;Reference tables&rdquo; and the <strong>Comments</strong> field contains the name of the original reference. <strong> Note that reference ingredients cannot be modified or removed from EvaPig&reg;.</strong> However, you can create a copy of a reference ingredient and change its values: click on the <strong>Create</strong> button, use the reference ingredient as a basis for the new ingredient and then modify the copy. </p>
 <h4><a name="3323" id="3323">User-defined ingredients</a></h4>
 <p> Unlike reference ingredients, user-defined ingredients can be modified (<strong>Modify</strong> button) and deleted (<strong>Delete</strong> button). </p>
 <ul>
@@ -156,12 +153,12 @@
 </ul>
 <p> In the example above, the ash, crude protein and lysine value were changed from the original reference ingredient. </p>
 <ul>
+  <li><strong> Rename</strong> : renames the ingredient. </li>
+  <li><strong> Comment</strong> : adds a comment to the ingredient </li>
   <li><strong> OK</strong> : validates the changes </li>
   <ul>
     <li> During the creation of an ingredient, the <strong>OK </strong>button terminates the process </li>
   </ul>
-  <li><strong> Rename</strong> : renames the ingredient. </li>
-  <li><strong> Comment</strong> : adds a comment to the ingredient </li>
   <li><strong> Cancel</strong> : cancels the current modifications. </li>
   <ul>
     <li> When an ingredient is being created, using <strong>Cancel</strong> will only cancel the edition of the values and will not cancel the ingredient itself. To delete an ingredient, go back to the list of ingredients, select the ingredient, double-click to see its values and click on the <strong>Delete</strong> button. </li>
@@ -213,8 +210,7 @@
 <p> The ingredient modification form is called up by clicking on the <strong>Modify</strong> button in the Ingredient view. The button is only available for user-defined ingredients, as reference ingredients cannot be modified or deleted. </p>
 <p class="L&eacute;gende"> Figure 12. Ingredient modification form for an ingredient derived from a reference ingredient </p>
 <img width="604" height="574" src="../images/Figure12.jpg">
-<p class="L&eacute;gende"> Figure 13. Ingredient modification form for an ingredient derived from chemical composition only </p>
-<img width="604" height="480" src="../images/Figure13.jpg">
+
 <p> The form displays the chemical composition and the other modifiable values. </p>
 <ul>
   <li> To change a value, first click on the checkbox next to the value you want to change and then type the value itself. </li>
@@ -228,10 +224,10 @@
 </ul>
 <p> The following buttons are available: </p>
 <ul>
-  <li><strong> OK</strong> : validates the changes </li>
   <li><strong> Rename</strong> : renames the ingredient. </li>
   <li><strong> Comment</strong> : adds a comment to the ingredient </li>
-  <li><strong> Cancel</strong> : cancels the current modifications. </li>
+  <li><strong>OK</strong> : validates the changes </li>
+  <li><strong>Cancel</strong> : cancels the current modifications. </li>
 </ul>
 </body>
 </html>