commit 12ddf7efcb209e856a7011f06b4efd0d0317a08b
Author: lbihannic <lucas.bihannic@inrae.fr>
Date:   Wed Apr 2 16:01:36 2025 +0200

    add hints for behaviour chambers and refactor navigation page

diff --git a/GES_PAC/View/CreateMeasureView.xaml b/GES_PAC/View/CreateMeasureView.xaml
index 66bf3cb..af6474f 100644
--- a/GES_PAC/View/CreateMeasureView.xaml
+++ b/GES_PAC/View/CreateMeasureView.xaml
@@ -3,6 +3,7 @@
              xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
              xmlns:vm="clr-namespace:GES_PAC.ViewModel"
              xmlns:tools="clr-namespace:GES_PAC.View.Tools"
+			 xmlns:controls="clr-namespace:GES_PAC.Controls"
              x:Class="GES_PAC.View.CreateMeasureView"
              x:DataType="vm:CreateMeasureViewModel">
 
@@ -10,13 +11,37 @@
         <StackLayout BackgroundColor="White" Spacing="50">
             <tools:ConnectionIndicatorView />
             <ScrollView>
-
                 <VerticalStackLayout Grid.Row="1" Spacing="30">
 
-                    <Label Text="{Binding Titre}"
-                       FontSize="20"
-                       FontAttributes="Bold"
-                       HorizontalOptions="Center" />
+                    <Grid ColumnDefinitions="*,Auto,*" Padding="10" VerticalOptions="Start">
+                        <Label Text="{Binding Titre}"
+                           FontSize="20"
+                           FontAttributes="Bold"
+                           VerticalOptions="Center"
+                           HorizontalOptions="Center"
+                           Grid.Column="1" />
+
+                        <Button 
+                            ImageSource="sad_sheep.png" 
+                            MaximumHeightRequest="50"
+                            MaximumWidthRequest="75"
+                            BackgroundColor="Orange"
+                            TextColor="White"
+                            Command="{Binding BehaviourCommand}"
+                            Style="{StaticResource btnNormal}"
+                            IsVisible="{Binding HasLastMeasure}"
+                            VerticalOptions="Center"
+                            Padding="0"
+                            Grid.Column="2">
+                            <Button.Shadow>
+                                <Shadow 
+                                Brush="Black"
+                                Offset="2,2"
+                                Radius="4"
+                                Opacity="0.5" />
+                            </Button.Shadow>
+                        </Button>
+                    </Grid>
 
                     <Label Text="{Binding LastTime}"
                        FontSize="14"
@@ -30,13 +55,7 @@
                         <VerticalStackLayout>
                             <Label Text="CH4 (ppm)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
                             <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
-                                <Entry Grid.Column="0"
-                                   Text="{Binding ConcCH4, Mode=TwoWay, TargetNullValue=''}"
-                                   FontSize="16"
-                                   TextColor="Black"
-                                   Placeholder="0,0"
-                                   Keyboard="Numeric">
-                                </Entry>
+								<controls:DoubleEntry  Grid.Column="0" Text="{Binding ConcCH4, Mode=OneWayToSource, TargetNullValue=''}"/>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastCH4, StringFormat='[{0} ppm]'}"
                                    FontSize="16"
@@ -57,13 +76,7 @@
                         <VerticalStackLayout>
                             <Label Text="O2 (%)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
                             <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
-                                <Entry Grid.Column="0"
-                                   Text="{Binding ConcO2, Mode=TwoWay, TargetNullValue=''}"
-                                   FontSize="16"
-                                   TextColor="Black"
-                                   Placeholder="0,0"
-                                   Keyboard="Numeric">
-                                </Entry>
+								<controls:DoubleEntry Grid.Column="0" Text="{Binding ConcO2, Mode=OneWayToSource, TargetNullValue=''}"/>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastO2, StringFormat='[{0} %]'}"
                                    FontSize="16"
@@ -84,13 +97,7 @@
                         <VerticalStackLayout>
                             <Label Text="CO2 (%)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
                             <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
-                                <Entry Grid.Column="0"
-                                   Text="{Binding ConcCO2, Mode=TwoWay, TargetNullValue=''}"
-                                   FontSize="16"
-                                   TextColor="Black"
-                                   Placeholder="0,0"
-                                   Keyboard="Numeric">
-                                </Entry>
+								<controls:DoubleEntry Grid.Column="0" Text="{Binding ConcCO2, Mode=OneWayToSource, TargetNullValue=''}"/>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastCO2, StringFormat='[{0} %]'}"
                                    FontSize="16"
@@ -106,6 +113,12 @@
                                IsVisible="{Binding ConcCO2Error}"/>
                         </VerticalStackLayout>
 
+						<!-- Sortie de l'animal -->
+						<HorizontalStackLayout HorizontalOptions="Center" VerticalOptions="Center" IsVisible="{Binding HasLastMeasure}">
+							<CheckBox IsChecked="{Binding IsAnimalOut}" HorizontalOptions="Center" />
+							<Label Text="Sortie de l'animal" FontSize="14" TextColor="Gray" HorizontalOptions="Center" VerticalOptions="Center" />
+						</HorizontalStackLayout>
+
 
                     </VerticalStackLayout>
                 </VerticalStackLayout>
@@ -117,15 +130,6 @@
                 VerticalOptions="FillAndExpand">
 
                 <Button 
-                    Text="Comportements"
-                    BackgroundColor="Orange"
-                    TextColor="White"
-                    Command="{Binding BehaviourCommand}"
-                    Style="{StaticResource btnNormal}"
-                    VerticalOptions="End"
-                    Margin="0,0,10,0"/>
-
-                <Button 
                     Text="Enregistrer"
                     Command="{Binding CreateMeasureCommand}"
                     Style="{StaticResource btnNormal}"