Index: Welcome.htm
===================================================================
--- Welcome.htm	(révision 14)
+++ Welcome.htm	(révision 15)
@@ -10,7 +10,7 @@
 <body>
 <h1><a name="1000" id="1000">Welcome to EvaPig&reg;</a></h1>
 <h2><a name="1100" id="1100">Introduction</a></h2>
-<p>EvaPig&reg; is a calculator of energy, amino acid and phosphorus values of ingredients and diets for growing and adult pigs. EvaPig&reg; Edition 2020 includes a database of chemical composition and nutritive values for more than <strong>250 reference ingredients</strong>. The composition data are derived from the <strong>INRAE-CIRAD-AFZ Tables of chemical composition and nutritive values</strong> (available on the website <a href="https://www.feedtables.com/">Feedtables.com</a>, AFZ, 2017-2021) while the nutritional data were obtained using expertise from INRAE and equations derived from <em>in vivo</em> measurements published in the scientific literature. This new edition of EvaPig&reg; includes twice more ingredients than the first edition, released in 2008, as well as new information such as electrolyte balance values of ingredients and diets.</p>
+<p>EvaPig&reg; is a calculator of energy, amino acid and phosphorus values of ingredients and diets for growing and adult pigs. EvaPig&reg; Edition 2020 includes a database of chemical composition and nutritive values for more than <strong>250 reference ingredients</strong>. The composition data are derived from the <strong>INRAE-CIRAD-AFZ Tables of chemical composition and nutritive values</strong> (available on the website <a href="https://www.feedtables.com" target="_blank">https://www.feedtables.com</a>, AFZ, 2017-2021) while the nutritional data were obtained using expertise from INRAE and equations derived from <em>in vivo</em> measurements published in the scientific literature. This new edition of EvaPig&reg; includes twice more ingredients than the first edition, released in 2008, as well as new information such as electrolyte balance values of ingredients and diets.</p>
   <p>Users can create their own ingredients, either by copying and modifying the reference ingredients, or by creating new ingredients using only chemical composition data. EvaPig&reg; uses equations and coefficients that calculate the nutritive values of the new ingredients.</p>
 EvaPig&reg; can create and compare diets created from the reference or user-defined ingredients. It calculates the chemical and nutritional values of the diet by using those of the diet ingredients, with possible corrections for the physical form of the diet and phytase supplementation. EvaPig&reg; can calculate the energy values of a diet from its chemical composition only. EvaPig&reg; also provides graphical representations that allow to visualize and compare diet composition and energy values.</p>
 <p class="L&eacute;gende"> Figure 1. EvaPig&reg; main menu </p>
@@ -30,10 +30,10 @@
 <h2><a name="1300" id="1300">Reference tables</a></h2>
 <p>The data used in EvaPig&reg; were obtained from two sources:</p>
 <ul>
-  <li>The reference values for chemical composition are derived from the INRAE-CIRAD-AFZ Tables published on the <a href="https://www.feedtables.com/">FeedTables.com</a> website since 2017. These tables are based on the data collected by the French Feed Database of the AFZ since 1989. This database, that includes several hundreds of thousands of samples with chemical and nutritional values, was used to establish a new and longer list of reference ingredients, their updated and representative chemical compositions.</li>
+  <li>The reference values for chemical composition are derived from the INRAE-CIRAD-AFZ Tables published on the <a href="https://www.feedtables.com" target="_blank">https://www.feedtables.com</a> website since 2017. These tables are based on the data collected by the French Feed Database of the AFZ since 1989. This database, that includes several hundreds of thousands of samples with chemical and nutritional values, was used to establish a new and longer list of reference ingredients, their updated and representative chemical compositions.</li>
   <li>The nutritional values for energy, protein, amino acids, and phosphorus, were obtained using expertise from INRAE and equations derived from <em>in vivo </em>measurements published in the scientific literature.</li>
 </ul>
 <p>The values included in EvaPig&reg; may be slightly different from the INRAE-CIRAD-AFZ data as the latter tables are updated on a regular basis. A few additional reference ingredients measured at INRAE for their nutritional values have also been included.<br>
-  Because pig production is constantly evolving, EvaPig&reg; will be regularly updated to reflect these changes, using newly available <em>in vivo </em>data about ingredients, either from the published literature or sent by the researchers themselves. If you are willing to help in the development of EvaPig&reg; and its reference database, particularly by sharing such data, please contact us through the website <a href="file:///C:/tempIE/Temporary%20Internet%20Files/OLK10F/www.evapig.com">www.evapig.com</a>.</p>
+  Because pig production is constantly evolving, EvaPig&reg; will be regularly updated to reflect these changes, using newly available <em>in vivo </em>data about ingredients, either from the published literature or sent by the researchers themselves. If you are willing to help in the development of EvaPig&reg; and its reference database, particularly by sharing such data, please contact us through the website <a href="https://evapig.com" target="_blank">https://evapig.com</a>.</p>
 </body>
 </html>