commit 18f910c6da4ed815f170a77ecefa24f75f99e192
Author: Lucas Bihannic <lucas.bihannic@inrae.fr>
Date:   Tue Mar 18 15:39:02 2025 +0100

    fit app to inrae template

diff --git a/GES_PAC/View/CreateDayView.xaml b/GES_PAC/View/CreateDayView.xaml
index 7765db6..9bfa5c1 100644
--- a/GES_PAC/View/CreateDayView.xaml
+++ b/GES_PAC/View/CreateDayView.xaml
@@ -2,118 +2,113 @@
 <ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
              xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
              xmlns:vm="clr-namespace:GES_PAC.ViewModel"
+             xmlns:tools="clr-namespace:GES_PAC.View.Tools"
              x:Class="GES_PAC.View.CreateDayView"
              x:DataType="vm:CreateDayViewModel">
 
-    <Grid Padding="20" RowDefinitions="Auto, *">
-
-        <Button Text="Retour"
-                BackgroundColor="DarkRed"
-                TextColor="White"
-                CornerRadius="10"
-                Padding="10"
-                FontSize="14"
-                HorizontalOptions="Start"
-                VerticalOptions="Start"
-                Command="{Binding ReturnCommand}"/>
-
-        <VerticalStackLayout Grid.Row="1" Spacing="20"
-                             VerticalOptions="CenterAndExpand"
-                             HorizontalOptions="Center">
-
-            <Label Text="Informations de la journée"
-                   FontSize="20"
-                   FontAttributes="Bold"
-                   HorizontalOptions="Center" />
-            <VerticalStackLayout Spacing="15" WidthRequest="300">
-                <!-- Lieu -->
-                <VerticalStackLayout>
-                
-                        <Label Text="Elevage" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                
-                        <Grid ColumnDefinitions="*, Auto" Padding="5">
+    <Grid>
+        <StackLayout BackgroundColor="White" Spacing="50">
+            <tools:ConnectionIndicatorView />
+            <ScrollView>
+
+                <VerticalStackLayout Grid.Row="1" Spacing="30">
+
+                    <Label Text="Informations de la journée"
+                       FontSize="20"
+                       FontAttributes="Bold"
+                       HorizontalOptions="Center" />
+                    <VerticalStackLayout Spacing="15" WidthRequest="300">
+
+                        <!-- Lieu -->
+                        <VerticalStackLayout>
+
+                            <Label Text="Elevage" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+
                             <Picker Grid.Column="0"
                                 ItemsSource="{Binding Places}" 
                                 SelectedItem="{Binding SelectedPlace}"
                                 FontSize="16"
                                 Title="Sélectionner un élevage"/>
 
-                            <Button Grid.Column="1"
-                                Text="+" 
-                                Command="{Binding AddPlaceCommand}"
-                                BackgroundColor="Gray"
-                                TextColor="White"
-                                CornerRadius="5"
-                                Margin="10,0,0,0"/>
-                        </Grid>
-                
-                        <Label Text="Sélectionnez un lieu"
-                            FontSize="12"
-                            TextColor="Red"
-                            IsVisible="{Binding PlaceError}"/>
-                </VerticalStackLayout>
+                            <Label Text="Sélectionnez un lieu"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding PlaceError}"/>
+                        </VerticalStackLayout>
 
-                <!-- Technicien -->
-                <VerticalStackLayout>
-                    <Label Text="Technicien" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                
-                    <Grid ColumnDefinitions="*, Auto" Padding="5">
-                        <Picker Grid.Column="0"
-                            ItemsSource="{Binding Persons}" 
-                            SelectedItem="{Binding SelectedPerson}"
-                            FontSize="16"
-                            Title="Sélectionner un technicien"/>
-
-                        <Button Grid.Column="1"
-                            Text="+" 
-                            Command="{Binding AddPersonCommand}"
-                            BackgroundColor="Gray"
-                            TextColor="White"
-                            CornerRadius="5"
-                            Margin="10,0,0,0"/>
-                    </Grid>
-                    <Label Text="Sélectionnez un technicien"
-                        FontSize="12"
-                        TextColor="Red"
-                        IsVisible="{Binding PersonError}"/>
-                </VerticalStackLayout>
+                        <!-- Technicien -->
+                        <VerticalStackLayout>
+                            <Label Text="Technicien" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
 
+                            <Picker Grid.Column="0"
+                                ItemsSource="{Binding Persons}" 
+                                SelectedItem="{Binding SelectedPerson}"
+                                FontSize="16"
+                                Title="Sélectionner un technicien"/>
 
-                <!-- Espèce -->
-                <VerticalStackLayout>
-                    <Label Text="Espèce" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                    <Entry Text="{Binding Espece}" FontSize="16" TextColor="Black" Placeholder="Entrer l'espèce"/>
-                    <Label Text="Min. 3 caractères"
-                        FontSize="12"
-                        TextColor="Red"
-                        IsVisible="{Binding EspeceError}"/>
-                </VerticalStackLayout>
+                            <Label Text="Sélectionnez un technicien"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding PersonError}"/>
+                        </VerticalStackLayout>
 
-                <!-- Régime alimentaire -->
-                <VerticalStackLayout>
-                <Label Text="Régime alimentaire" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                <Entry Text="{Binding Regime}" FontSize="16" TextColor="Black" Placeholder="Entrer le régime alimentaire"/>
-                <Label Text="Min. 3 caractères"
-                    FontSize="12"
-                    TextColor="Red"
-                    IsVisible="{Binding RegimeError}"/>
-                </VerticalStackLayout>
+                        <!-- Espèce -->
+                        <VerticalStackLayout>
+                            <Label Text="Espèce" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Espece}" FontSize="16" TextColor="Black" Placeholder="Entrer l'espèce"/>
+                            <Label Text="Min. 3 caractères"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding EspeceError}"/>
+                        </VerticalStackLayout>
 
-            </VerticalStackLayout>
+                        <!-- Régime alimentaire -->
+                        <VerticalStackLayout>
+                            <Label Text="Régime alimentaire" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Regime}" FontSize="16" TextColor="Black" Placeholder="Entrer le régime alimentaire"/>
+                            <Label Text="Min. 3 caractères"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding RegimeError}"/>
+                        </VerticalStackLayout>
 
-            <Button Text="Enregistrer"
-                    BackgroundColor="Green"
-                    TextColor="White"
-                    CornerRadius="10"
-                    Padding="15"
-                    FontSize="16"
-                    HorizontalOptions="Center"
-                    WidthRequest="180"
-                    IsEnabled="{Binding IsFormValid}"
-                    Command="{Binding CreateDayCommand}"/>
+                    </VerticalStackLayout>
+                </VerticalStackLayout>
+            </ScrollView>
+            <StackLayout
+                Margin="10"
+                HorizontalOptions="CenterAndExpand"
+                Orientation="Horizontal"
+                VerticalOptions="FillAndExpand">
 
-        </VerticalStackLayout>
+                <Button 
+                    Text="Créer une journée"
+                    Command="{Binding CreateDayCommand}"
+                    Style="{StaticResource btnNormal}"
+                    IsEnabled="{Binding IsFormValid}"
+                    VerticalOptions="End"/>
+            </StackLayout>
+        </StackLayout>
+        <Grid Grid.RowSpan="1" IsVisible="{Binding IsBusy}">
+            <Border StrokeThickness="0"
+                            Background="Black"
+                            Opacity="0.5"
+                            Padding="20"
+                            WidthRequest="160"
+                            HeightRequest="160"
+                            HorizontalOptions="Center"
+                            VerticalOptions="Center"
+                            StrokeShape="RoundRectangle 20">
 
+                <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center">
+                    <ActivityIndicator IsRunning="True" Color="White" />
+                    <Label Text="Chargement..."
+                            FontSize="14"
+                            TextColor="white"
+                            HorizontalOptions="Center"/>
+                </VerticalStackLayout>
+            </Border>
+        </Grid>
     </Grid>
 
 </ContentPage>
\ No newline at end of file